# Method: enterprises.devices.get

- [HTTP request](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.devices/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.devices/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.devices/get#body.request_body)
- [Response body](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.devices/get#body.response_body)
- [Authorization scopes](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.devices/get#body.aspect)
- [Examples](https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.devices/get#examples)

Gets a device managed by the enterprise.

### HTTP request

`GET https://smartdevicemanagement.googleapis.com/v1/{name=enterprises/*/devices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the device requested. For example: "enterprises/XYZ/devices/123" |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/nest/device-access/reference/rest/v1/enterprises.devices#Device`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sdm.service`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).